# CHIP Air Purifier Example

This example implements the following PICS:

```
# Fan Control
FAN.S=1
FAN.C=0
FAN.S.F00=1
FAN.S.F01=1
FAN.S.F02=1
FAN.S.F03=1
FAN.S.F04=1
FAN.S.F05=1
FAN.S.A0000=1
FAN.S.A0001=1
FAN.S.A0002=1
FAN.S.A0003=1
FAN.S.A0004=1
FAN.S.A0005=1
FAN.S.A0006=1
FAN.S.A0007=1
FAN.S.A0008=1
FAN.S.A0009=1
FAN.S.A000A=1
FAN.S.A000B=1
FAN.S.C00.Rsp=1

# HEPA Filter Monitoring Cluster
HEPAFREMON.S=1
HEPAFREMON.C=0
HEPAFREMON.S.F00=1
HEPAFREMON.S.F01=1
HEPAFREMON.S.F02=1
HEPAFREMON.S.A0000=1
HEPAFREMON.S.A0001=1
HEPAFREMON.S.A0002=1
HEPAFREMON.S.A0003=1
HEPAFREMON.S.A0004=1
HEPAFREMON.S.A0005=1
HEPAFREMON.S.C00.Rsp=1

# Activated Carbon Filter Monitoring Cluster
ACFREMON.S=1
ACFREMON.C=0
ACFREMON.S.F00=1
ACFREMON.S.F01=1
ACFREMON.S.F02=1
ACFREMON.S.A0000=1
ACFREMON.S.A0001=1
ACFREMON.S.A0002=1
ACFREMON.S.A0003=1
ACFREMON.S.A0004=1
ACFREMON.S.A0005=1
ACFREMON.S.C00.Rsp=1

# Air Quality Cluster
AIRQUAL.C=0
AIRQUAL.S=1
AIRQUAL.S.F00=1
AIRQUAL.S.F01=1
AIRQUAL.S.F02=1
AIRQUAL.S.F03=1
AIRQUAL.S.A0000=1
AIRQUAL.M.AirQualityChange=0

# Concentration Measurement CLusters
CDOCONC.C=0
CDOCONC.S=1
CDOCONC.S.F00=1
CDOCONC.S.F01=1
CDOCONC.S.F02=1
CDOCONC.S.F03=1
CDOCONC.S.F04=1
CDOCONC.S.F05=1
CDOCONC.S.A0000=1
CDOCONC.S.A0001=1
CDOCONC.S.A0002=1
CDOCONC.S.A0003=1
CDOCONC.S.A0004=1
CDOCONC.S.A0005=1
CDOCONC.S.A0006=1
CDOCONC.S.A0007=1
CDOCONC.S.A0008=1
CDOCONC.S.A0009=1
CDOCONC.S.A000a=1

CMOCONC.C=0
CMOCONC.S=1
CMOCONC.S.F00=1
CMOCONC.S.F01=1
CMOCONC.S.F02=1
CMOCONC.S.F03=1
CMOCONC.S.F04=1
CMOCONC.S.F05=1
CMOCONC.S.A0000=1
CMOCONC.S.A0001=1
CMOCONC.S.A0002=1
CMOCONC.S.A0003=1
CMOCONC.S.A0004=1
CMOCONC.S.A0005=1
CMOCONC.S.A0006=1
CMOCONC.S.A0007=1
CMOCONC.S.A0008=1
CMOCONC.S.A0009=1
CMOCONC.S.A000a=1

NDOCONC.C=0
NDOCONC.S=1
NDOCONC.S.F00=1
NDOCONC.S.F01=1
NDOCONC.S.F02=1
NDOCONC.S.F03=1
NDOCONC.S.F04=1
NDOCONC.S.F05=1
NDOCONC.S.A0000=1
NDOCONC.S.A0001=1
NDOCONC.S.A0002=1
NDOCONC.S.A0003=1
NDOCONC.S.A0004=1
NDOCONC.S.A0005=1
NDOCONC.S.A0006=1
NDOCONC.S.A0007=1
NDOCONC.S.A0008=1
NDOCONC.S.A0009=1
NDOCONC.S.A000a=1

OZCONC.C=0
OZCONC.S=1
OZCONC.S.F00=1
OZCONC.S.F01=1
OZCONC.S.F02=1
OZCONC.S.F03=1
OZCONC.S.F04=1
OZCONC.S.F05=1
OZCONC.S.A0000=1
OZCONC.S.A0001=1
OZCONC.S.A0002=1
OZCONC.S.A0003=1
OZCONC.S.A0004=1
OZCONC.S.A0005=1
OZCONC.S.A0006=1
OZCONC.S.A0007=1
OZCONC.S.A0008=1
OZCONC.S.A0009=1
OZCONC.S.A000a=1

PMICONC.C=0
PMICONC.S=1
PMICONC.S.F00=1
PMICONC.S.F01=1
PMICONC.S.F02=1
PMICONC.S.F03=1
PMICONC.S.F04=1
PMICONC.S.F05=1
PMICONC.S.A0000=1
PMICONC.S.A0001=1
PMICONC.S.A0002=1
PMICONC.S.A0003=1
PMICONC.S.A0004=1
PMICONC.S.A0005=1
PMICONC.S.A0006=1
PMICONC.S.A0007=1
PMICONC.S.A0008=1
PMICONC.S.A0009=1
PMICONC.S.A000a=1

FLDCONC.C=0
FLDCONC.S=1
FLDCONC.S.F00=1
FLDCONC.S.F01=1
FLDCONC.S.F02=1
FLDCONC.S.F03=1
FLDCONC.S.F04=1
FLDCONC.S.F05=1
FLDCONC.S.A0000=1
FLDCONC.S.A0001=1
FLDCONC.S.A0002=1
FLDCONC.S.A0003=1
FLDCONC.S.A0004=1
FLDCONC.S.A0005=1
FLDCONC.S.A0006=1
FLDCONC.S.A0007=1
FLDCONC.S.A0008=1
FLDCONC.S.A0009=1
FLDCONC.S.A000a=1

PMHCONC.C=0
PMHCONC.S=1
PMHCONC.S.F00=1
PMHCONC.S.F01=1
PMHCONC.S.F02=1
PMHCONC.S.F03=1
PMHCONC.S.F04=1
PMHCONC.S.F05=1
PMHCONC.S.A0000=1
PMHCONC.S.A0001=1
PMHCONC.S.A0002=1
PMHCONC.S.A0003=1
PMHCONC.S.A0004=1
PMHCONC.S.A0005=1
PMHCONC.S.A0006=1
PMHCONC.S.A0007=1
PMHCONC.S.A0008=1
PMHCONC.S.A0009=1
PMHCONC.S.A000a=1

PMKCONC.C=0
PMKCONC.S=1
PMKCONC.S.F00=1
PMKCONC.S.F01=1
PMKCONC.S.F02=1
PMKCONC.S.F03=1
PMKCONC.S.F04=1
PMKCONC.S.F05=1
PMKCONC.S.A0000=1
PMKCONC.S.A0001=1
PMKCONC.S.A0002=1
PMKCONC.S.A0003=1
PMKCONC.S.A0004=1
PMKCONC.S.A0005=1
PMKCONC.S.A0006=1
PMKCONC.S.A0007=1
PMKCONC.S.A0008=1
PMKCONC.S.A0009=1
PMKCONC.S.A000a=1

TVOCCONC.C=0
TVOCCONC.S=1
TVOCCONC.S.F00=1
TVOCCONC.S.F01=1
TVOCCONC.S.F02=1
TVOCCONC.S.F03=1
TVOCCONC.S.F04=1
TVOCCONC.S.F05=1
TVOCCONC.S.A0000=1
TVOCCONC.S.A0001=1
TVOCCONC.S.A0002=1
TVOCCONC.S.A0003=1
TVOCCONC.S.A0004=1
TVOCCONC.S.A0005=1
TVOCCONC.S.A0006=1
TVOCCONC.S.A0007=1
TVOCCONC.S.A0008=1
TVOCCONC.S.A0009=1
TVOCCONC.S.A000a=1

RNCONC.C=0
RNCONC.S=1
RNCONC.S.F00=1
RNCONC.S.F01=1
RNCONC.S.F02=1
RNCONC.S.F03=1
RNCONC.S.F04=1
RNCONC.S.F05=1
RNCONC.S.A0000=1
RNCONC.S.A0001=1
RNCONC.S.A0002=1
RNCONC.S.A0003=1
RNCONC.S.A0004=1
RNCONC.S.A0005=1
RNCONC.S.A0006=1
RNCONC.S.A0007=1
RNCONC.S.A0008=1
RNCONC.S.A0009=1
RNCONC.S.A000a=1

# Temperature Measurement Cluster
TMP.S=1
TMP.S.A0000=1
TMP.S.A0001=1
TMP.S.A0002=1
TMP.S.A0003=1
TMP.M.ManuallyControlled=0

# Relative Humidity Cluster
RH.S=1
RH.S.A0000=1
RH.S.A0001=1
RH.S.A0002=1
RH.S.A0003=1
RH.M.ManuallyControlled=0

# Thermostat Cluster
TSTAT.S = 1
TSTAT.S.F00 = 1
TSTAT.S.F01 = 0
TSTAT.S.F02 = 0
TSTAT.S.F03 = 0
TSTAT.S.F04 = 0
TSTAT.S.F05 = 0
TSTAT.S.F06 = 0

TSTAT.S.A0000 = 1
TSTAT.S.A0001 = 0
TSTAT.S.A0002 = 0
TSTAT.S.A0003 = 1
TSTAT.S.A0004 = 1
TSTAT.S.A0005 = 0
TSTAT.S.A0006 = 0
TSTAT.S.A0007 = 0
TSTAT.S.A0008 = 0
TSTAT.S.A0009 = 0
TSTAT.S.A0010 = 0
TSTAT.S.A0011 = 0
TSTAT.S.A0012 = 1
TSTAT.S.A0013 = 0
TSTAT.S.A0014 = 0
TSTAT.S.A0015 = 0
TSTAT.S.A0016 = 0
TSTAT.S.A0017 = 0
TSTAT.S.A0018 = 0
TSTAT.S.A0019 = 0
TSTAT.S.A001a = 0
TSTAT.S.A001b = 1
TSTAT.S.A001c = 1
TSTAT.S.A001d = 0
TSTAT.S.A001e = 0
TSTAT.S.A0020 = 0
TSTAT.S.A0021 = 0
TSTAT.S.A0022 = 0
TSTAT.S.A0023 = 0
TSTAT.S.A0024 = 0
TSTAT.S.A0025 = 0
TSTAT.S.A0029 = 1
TSTAT.S.A0030 = 0
TSTAT.S.A0031 = 0
TSTAT.S.A0032 = 0
TSTAT.S.A0034 = 0
TSTAT.S.A0035 = 0
TSTAT.S.A0036 = 0
TSTAT.S.A0037 = 0
TSTAT.S.A0038 = 0
TSTAT.S.A0039 = 0
TSTAT.S.A003a = 0
TSTAT.S.A0040 = 0
TSTAT.S.A0041 = 0
TSTAT.S.A0042 = 0
TSTAT.S.A0043 = 0
TSTAT.S.A0044 = 0
TSTAT.S.A0045 = 0
TSTAT.S.A0046 = 0
TSTAT.S.A0047 = 0
TSTAT.S.M.MinSetpointDeadBandWritable = 0
TSTAT.S.M.HVACSystemTypeConfigurationWritable = 0

# Server Commands
TSTAT.S.C00.Rsp = 1
TSTAT.S.C01.Rsp = 0
TSTAT.S.C02.Rsp = 0
TSTAT.S.C03.Rsp = 0
TSTAT.S.C04.Rsp = 0
```
