/*
 *
 *    Copyright (c) 2023 Project CHIP Authors
 *    All rights reserved.
 *
 *    Licensed under the Apache License, Version 2.0 (the "License");
 *    you may not use this file except in compliance with the License.
 *    You may obtain a copy of the License at
 *
 *        http://www.apache.org/licenses/LICENSE-2.0
 *
 *    Unless required by applicable law or agreed to in writing, software
 *    distributed under the License is distributed on an "AS IS" BASIS,
 *    WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *    See the License for the specific language governing permissions and
 *    limitations under the License.
 */

#pragma once

#include "silabs_utils.h"

// ---- Long Ilde Time ICD Example App Config ----

#define APP_TASK_NAME "Lit"

#define BLE_DEV_NAME "SiLabs-LIT-ICD"

// APP Logo, boolean only. must be 64x64
#define ON_DEMO_BITMAP                                                                                                             \
    0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF,  \
        0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF,    \
        0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF,    \
        0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF,    \
        0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFE, 0xFF, 0xFF, 0xFF, 0x1F, 0x00, 0xE0, 0x7F, 0xFC, 0xFF, 0xFF, 0xFF,    \
        0x1F, 0x00, 0xE0, 0x3F, 0xF0, 0xFF, 0xFF, 0xFF, 0x1F, 0x00, 0xE0, 0x3F, 0xE0, 0xFF, 0xFF, 0xFF, 0x1F, 0x00, 0xE0, 0x7F,    \
        0xC0, 0xFF, 0xFF, 0xFF, 0x1F, 0x00, 0xE0, 0xFF, 0x80, 0xFF, 0xFF, 0xFF, 0xFF, 0x3F, 0xE0, 0xFF, 0x01, 0xFF, 0xFF, 0xFF,    \
        0xFF, 0x1F, 0xF0, 0xFF, 0x03, 0xFE, 0xFF, 0xFF, 0xFF, 0x0F, 0xF8, 0xFF, 0x07, 0xFC, 0xFF, 0xFF, 0xFF, 0x07, 0xFC, 0xFF,    \
        0x0F, 0xF8, 0xFF, 0xFF, 0xFF, 0x07, 0xFC, 0xFF, 0x1F, 0xF8, 0x07, 0x00, 0xFF, 0x03, 0xFE, 0xFF, 0x3F, 0xE0, 0x07, 0x00,    \
        0xFF, 0x01, 0xFF, 0xFF, 0x7F, 0xC0, 0x0F, 0x00, 0xFF, 0x80, 0xFF, 0xFF, 0xFF, 0x80, 0x1F, 0x00, 0x7F, 0xC0, 0xFF, 0xFF,    \
        0xFF, 0x01, 0x3F, 0x00, 0x3F, 0xE0, 0xFF, 0xFF, 0xFF, 0x03, 0x7F, 0x00, 0x3F, 0xE0, 0xFF, 0xFF, 0xFF, 0x07, 0xFC, 0x80,    \
        0x1F, 0x00, 0xE0, 0xFF, 0xFF, 0x0F, 0xF8, 0xC1, 0x1F, 0x00, 0xE0, 0xFF, 0xFF, 0x1F, 0xF0, 0xC3, 0x1F, 0x00, 0xE0, 0xFF,    \
        0xFF, 0x3F, 0xE0, 0xE7, 0x1F, 0x00, 0xE0, 0xFF, 0xFF, 0x7F, 0xC0, 0xFF, 0x1F, 0x00, 0xE0, 0x07, 0x00, 0xF8, 0x80, 0xFF,    \
        0xFF, 0xFF, 0xFF, 0x07, 0x00, 0xF8, 0x01, 0xFF, 0xFF, 0xFF, 0xFF, 0x07, 0x00, 0xF8, 0x03, 0xFE, 0xFF, 0xFF, 0xFF, 0x07,    \
        0x00, 0xF8, 0x03, 0xFC, 0xFF, 0xFF, 0xFF, 0x07, 0x00, 0xF8, 0x01, 0xF8, 0xFF, 0xFF, 0xFF, 0xFF, 0x07, 0xFC, 0x00, 0xF0,    \
        0xFF, 0xFF, 0xFF, 0xFF, 0x07, 0xFC, 0x00, 0xE0, 0xFF, 0xFF, 0xFF, 0xFF, 0x03, 0xFE, 0x00, 0xC0, 0xFF, 0xFF, 0xFF, 0xFF,    \
        0x01, 0xFF, 0x00, 0x80, 0xFF, 0xFF, 0xFF, 0xFF, 0x80, 0xFF, 0x00, 0x00, 0xFF, 0xFF, 0xFF, 0x7F, 0xC0, 0xFF, 0x00, 0x00,    \
        0xFE, 0xFF, 0xFF, 0x3F, 0xE0, 0xFF, 0xFF, 0x07, 0xFC, 0xFF, 0xFF, 0x3F, 0xE0, 0xFF, 0xFF, 0x0F, 0xF8, 0xFF, 0xFF, 0x1F,    \
        0xF0, 0xFF, 0xFF, 0x1F, 0xF0, 0xFF, 0xFF, 0x0F, 0xF8, 0xFF, 0xFF, 0x3F, 0xE0, 0xFF, 0xFF, 0x07, 0xFC, 0xFF, 0xFF, 0x7F,    \
        0xC0, 0xFF, 0xFF, 0x07, 0x00, 0xF8, 0xFF, 0xFF, 0x80, 0xFF, 0xFF, 0x07, 0x00, 0xF8, 0xFF, 0xFF, 0x01, 0xFF, 0xFF, 0x07,    \
        0x00, 0xF8, 0xFF, 0xFF, 0x03, 0xFE, 0xFF, 0x07, 0x00, 0xF8, 0xFF, 0xFF, 0x07, 0xFC, 0xFF, 0x07, 0x00, 0xF8, 0xFF, 0xFF,    \
        0x0F, 0xF8, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0x1F, 0xF0, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0x3F, 0xE0, 0xFF, 0xFF,    \
        0xFF, 0xFF, 0xFF, 0xFF, 0x7F, 0xE0, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xF0, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF,    \
        0xFF, 0xF9, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF,    \
        0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF,    \
        0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF

#define OFF_DEMO_BITMAP                                                                                                            \
    0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF,  \
        0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF,    \
        0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF,    \
        0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF,    \
        0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0x1F, 0x00, 0xE0, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF,    \
        0x1F, 0x00, 0xE0, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0x1F, 0x00, 0xE0, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0x1F, 0x00, 0xE0, 0xFF,    \
        0xFF, 0xFF, 0xFF, 0xFF, 0x1F, 0x00, 0xE0, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0x3F, 0xE0, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF,    \
        0xFF, 0x1F, 0xF0, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0x0F, 0xF8, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0x07, 0xFC, 0xFF,    \
        0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0x07, 0xFC, 0xFF, 0xFF, 0xFF, 0x00, 0x00, 0xFF, 0x03, 0xFE, 0xFF, 0xFF, 0xFF, 0x00, 0x00,    \
        0xFF, 0x01, 0xFF, 0xFF, 0xFF, 0xFF, 0x00, 0x00, 0xFF, 0x80, 0xFF, 0xFF, 0xFF, 0xFF, 0x00, 0x00, 0x7F, 0xC0, 0xFF, 0xFF,    \
        0xFF, 0xFF, 0x00, 0x00, 0x3F, 0xE0, 0xFF, 0xFF, 0xFF, 0xFF, 0x00, 0x00, 0x3F, 0xE0, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0x80,    \
        0x1F, 0x00, 0xE0, 0xFF, 0xFF, 0xFF, 0xFF, 0xC0, 0x1F, 0x00, 0xE0, 0xFF, 0xFF, 0xFF, 0x7F, 0xC0, 0x1F, 0x00, 0xE0, 0xFF,    \
        0xFF, 0xFF, 0x3F, 0xE0, 0x1F, 0x00, 0xE0, 0xFF, 0xFF, 0xFF, 0x1F, 0xF0, 0x1F, 0x00, 0xE0, 0x07, 0x00, 0xF8, 0x0F, 0xF8,    \
        0xFF, 0xFF, 0xFF, 0x07, 0x00, 0xF8, 0x07, 0xFC, 0xFF, 0xFF, 0xFF, 0x07, 0x00, 0xF8, 0x03, 0xFE, 0xFF, 0xFF, 0xFF, 0x07,    \
        0x00, 0xF8, 0x03, 0xFF, 0xFF, 0xFF, 0xFF, 0x07, 0x00, 0xF8, 0x01, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0x07, 0xFC, 0x00, 0x00,    \
        0xFF, 0xFF, 0xFF, 0xFF, 0x07, 0xFC, 0x00, 0x00, 0xFF, 0xFF, 0xFF, 0xFF, 0x03, 0xFE, 0x00, 0x00, 0xFF, 0xFF, 0xFF, 0xFF,    \
        0x01, 0xFF, 0x00, 0x00, 0xFF, 0xFF, 0xFF, 0xFF, 0x80, 0xFF, 0x00, 0x00, 0xFF, 0xFF, 0xFF, 0x7F, 0xC0, 0xFF, 0x00, 0x00,    \
        0xFF, 0xFF, 0xFF, 0x3F, 0xE0, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0x3F, 0xE0, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0x1F,    \
        0xF0, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0x0F, 0xF8, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0x07, 0xFC, 0xFF, 0xFF, 0xFF,    \
        0xFF, 0xFF, 0xFF, 0x07, 0x00, 0xF8, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0x07, 0x00, 0xF8, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0x07,    \
        0x00, 0xF8, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0x07, 0x00, 0xF8, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0x07, 0x00, 0xF8, 0xFF, 0xFF,    \
        0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF,    \
        0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF,    \
        0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF,    \
        0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF,    \
        0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF
