/*
 *
 *    Copyright (c) 2024 Project CHIP Authors
 *    All rights reserved.
 *
 *    Licensed under the Apache License, Version 2.0 (the "License");
 *    you may not use this file except in compliance with the License.
 *    You may obtain a copy of the License at
 *
 *        http://www.apache.org/licenses/LICENSE-2.0
 *
 *    Unless required by applicable law or agreed to in writing, software
 *    distributed under the License is distributed on an "AS IS" BASIS,
 *    WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *    See the License for the specific language governing permissions and
 *    limitations under the License.
 */

#include "MediaCommandBase.h"
#include "MediaSubscriptionBase.h"

#include <controller/CHIPCluster.h>
#include <functional>

#include <app-common/zap-generated/cluster-objects.h>

// COMMAND CLASSES
class PresentMessagesRequestCommand : public MediaCommandBase<chip::app::Clusters::Messages::Commands::PresentMessagesRequest::Type,
                                                              chip::app::DataModel::NullObjectType>
{
public:
    PresentMessagesRequestCommand() : MediaCommandBase(chip::app::Clusters::Messages::Id) {}

    CHIP_ERROR
    Invoke(const char * messageText, std::function<void(CHIP_ERROR)> responseCallback);
};
