/*
 *
 *    Copyright (c) 2023 Project CHIP Authors
 *    All rights reserved.
 *
 *    Licensed under the Apache License, Version 2.0 (the "License");
 *    you may not use this file except in compliance with the License.
 *    You may obtain a copy of the License at
 *
 *        http://www.apache.org/licenses/LICENSE-2.0
 *
 *    Unless required by applicable law or agreed to in writing, software
 *    distributed under the License is distributed on an "AS IS" BASIS,
 *    WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *    See the License for the specific language governing permissions and
 *    limitations under the License.
 */

#pragma once

#include <jni.h>
#include <lib/support/JniReferences.h>

class DeviceAppJNI
{
public:
    void InitializeWithObjects(jobject app);
    void PostClusterInit(int clusterId, int endpoint);
    void PostEvent(int event);

private:
    friend DeviceAppJNI & DeviceAppJNIMgr();

    static DeviceAppJNI sInstance;
    chip::JniGlobalReference mDeviceAppObject;
    jmethodID mPostClusterInitMethod = nullptr;
    jmethodID mPostEventMethod       = nullptr;
};

inline class DeviceAppJNI & DeviceAppJNIMgr()
{
    return DeviceAppJNI::sInstance;
}
